<div>
  <div class="nav-box">
    <div>Projects:</div>
    <div class="list-group">
      <a
        v-for="project in projects | orderBy 'name'"
        h-ref="#"
        :class="(currentProject && project.name === currentProject.name)? 'list-group-item active' : 'list-group-item'"
        @click=selectProject(project)>
        {{project.name}}
      </a>
    </div>
  </div>
  <div class="content-box" v-if="currentProject">
    <div class="btn-group" role="group">
      <button type="button" :class="buttonClass" @click="newNote">New Note</button>
      <button type="button" :class="buttonClass" @click="newFile">Add File</button>
    </div>
    <div class="notes-box">
      <span>Notes:</span>
      <div class="header note">
        <span>Title</span>
        <i class="hidden-xs hidden-sm author">Author</i>
        <i class="hidden-xs date">Date</i>
      </div>
      <div
        v-for="note in currentProject.notes"
        class="entry note"
        @click="toggleNote(note)">
        <span>
          <b :class="note.expanded ? 'caret' : 'caret caret-right'"></b>
          <span>{{note.title}}</span>
          <span 
            class="fa fa-pencil"
            v-if="note.editable"
            @click.stop="editNote(note)"></span>
          <span 
            class="fa fa-trash"
            v-if="note.deletable"
            @click.stop="deleteNote(note)"></span>
        </span>
        <i class="hidden-xs hidden-sm author">{{note.author}}</i>
        <i class="hidden-xs date">{{note.date}}</i>
        <div class="content" v-show="note.expanded">{{note.content}}</div>
      </div>
    </div>
    <div class="files-box">
      <span>Files:</span>
      <div class="header file">
        <span>Name</span>
        <i class="hidden-xs hidden-sm author">Author</i>
        <i class="hidden-xs date">Date</i>
      </div>
      <div
        v-for="file in currentProject.files"
        class="entry file">
        <span>
          <span>{{file.name}}</span>
          <span
            class="fa fa-image"
            v-if="file.showable"
            @click.stop="showFile(file)"></span>
          <span 
            class="fa fa-copy"
            @click.stop="copyFile(file)"></span>
          <span
            class="fa fa-trash"
            v-if="file.deletable"
            @click.stop="deleteFile(file)"></span>
        </span>
        <i class="hidden-xs hidden-sm author">{{file.author}}</i>
        <i class="hidden-xs date">{{file.date}}</i>
      </div>
    </div>
  </div>
</div>